package io.zipcoder.polymorphism;
import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;

/**
 * Created by leon on 11/6/17.
 */
public class MainApplication {

    public static void main(String[] args){
        List<Pet> petList = new ArrayList<>();
        Scanner in = new Scanner(System.in);
        int numPets;
        String petType;


        System.out.println("How many pets do you have?");
        numPets = in.nextInt();

        String petWord = numPets > 1 ? "pets" : "pet";
        System.out.println("What type of " + petWord + " do you have?");

        for (int i=0; i<numPets; i++){
            System.out.print("Pet number " + (i+1) + ":\n");
            petType = in.next();

            switch (petType){
                case "Dog":
                    System.out.println("What's your " + petType + "'s name?");
                    Dog dog = new Dog(in.next());
                    petList.add(dog);
                    break;
                case "Cat":
                    System.out.println("What's your " + petType + "'s name?");
                    Cat cat = new Cat(in.next());
                    petList.add(cat);
                    break;
                case "Rabbit":
                    System.out.println("What's your " + petType + "'s name?");
                    petList.add(new Rabbit(in.next()));
                    break;
                default:
                    System.out.println("What's your " + petType + "'s name?");
                    petList.add(new Pet(in.next()));
            }
        }

        for (Pet pet : petList){
            System.out.println(pet.getName() + " says " + pet.speak());
        }
    }
}
